Retrieve, Update, or Delete Blog
Retrieves, updates, or deletes a blog by its ID with owner permission checks.
Path parameters
blog_id
The ID of the blog
Request
This endpoint expects an object.
owner
deleted_at
is_active
created_by
updated_by
deleted_by
publication_id
owner_id
title
cover_image
content
source_experience_id
category
Category name
subcategory
Subcategory name
focus_area
visibility
* `public` - Public
* `private` - Private
* `team` - Team
* `org` - Organization
Allowed values:
is_draft
Whether this blog is a draft
disable_comments
type
free- Freepaid- Paid
Allowed values:
schedule_date
published_date
llm_prompt
format_type
Format type for content generation
* `Summary` - Summary
* `Detailed Notes` - Detailed Notes
* `Bullet Points` - Bullet Points
* `Q&A` - Q&A
* `Insight-Driven` - Insight-Driven
Allowed values:
Response
Blog details
id
uid
created_at
updated_at
publication
Publication this blog belongs to. Can be null for standalone blogs.
publication_custom_url
publication_name
owner
source_experience
The experience this blog was created from
category_name
subcategory_name
status
user_bookmarked
reading_time
metrics
generation_status
has_generation_in_progress
is_ready_for_review
deleted_at
is_active
created_by
updated_by
deleted_by
title
cover_image
content
focus_area
visibility
* `public` - Public
* `private` - Private
* `team` - Team
* `org` - Organization
Allowed values:
is_draft
Whether this blog is a draft
disable_comments
type
free- Freepaid- Paid
Allowed values:
schedule_date
published_date
llm_prompt
format_type
Format type for content generation
* `Summary` - Summary
* `Detailed Notes` - Detailed Notes
* `Bullet Points` - Bullet Points
* `Q&A` - Q&A
* `Insight-Driven` - Insight-Driven
Allowed values:
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error

